package com.usky.dxtop.controller.web.business;


import com.usky.dxtop.common.core.domain.ApiResult;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.DreOrder;
import com.usky.dxtop.model.DreUser;
import com.usky.dxtop.model.StaffRadio;
import com.usky.dxtop.service.DreUserService;
import com.usky.dxtop.service.vo.DreOrderRequest;
import com.usky.dxtop.service.vo.DreUserVO;
import io.swagger.annotations.ApiResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;
import sun.reflect.generics.tree.VoidDescriptor;

import java.util.List;

/**
 * 菜品用户
 * @author yq
 * @since 2022-08-15
 */
@RestController
@RequestMapping("/dreUser")
public class DreUserController {



    @Autowired
    private DreUserService dreUserService;


    /**
     * 分页记录查询
     * @return
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<DreUserVO>> page(@RequestParam Integer current,
                                                 @RequestParam Integer size,
                                                 @RequestParam(required = false) String name,
                                                 @RequestParam(required = false) Boolean isSend)
    {
        return ApiResult.success(dreUserService.page(current,size,name,isSend));
    }


    /**
     * 批量新增
     * @param list
     * @return
     */
    @PutMapping("/addList")
    public ApiResult<Void> addList(@RequestBody List<DreUser> list){
        dreUserService.addList(list);
        return ApiResult.success();
    }
}

